%define upstream_name    HTML-Form
%define upstream_version 6.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Class that represents an HTML form element
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTTP::Request) >= 6.0.0
BuildRequires: perl(HTTP::Request::Common) >= 6.30.0
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(URI) >= 1.100.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Objects of the 'HTML::Form' class represents a single HTML '<form> ...
</form>' instance. A form consists of a sequence of inputs that usually
have names, and which can take on various values. The state of a form can
be tweaked and it can then be asked to provide 'HTTP::Request' objects that
can be passed to the request() method of 'LWP::UserAgent'.

The following methods are available:

* @forms = HTML::Form->parse( $html_document, $base_uri )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 6.120.0-2.mga10
+ Revision: 2234349
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 6.120.0-1.mga10
+ Revision: 2141359
- update to 6.12

* Mon Feb 20 2023 tv <tv> 6.110.0-1.mga9
+ Revision: 1944264
- update to 6.11

* Sat Aug 27 2022 tv <tv> 6.100.0-1.mga9
+ Revision: 1881120
- update to 6.10

* Tue Aug 16 2022 tv <tv> 6.90.0-1.mga9
+ Revision: 1878123
- update to 6.09

* Mon Mar 28 2022 umeabot <umeabot> 6.70.0-2.mga9
+ Revision: 1830294
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 shlomif <shlomif> 6.70.0-1.mga8
+ Revision: 1549294
- update to 6.07

* Sun Feb 16 2020 umeabot <umeabot> 6.50.0-2.mga8
+ Revision: 1534636
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Oct 06 2019 tv <tv> 6.50.0-1.mga8
+ Revision: 1449786
- update to 6.05

* Tue Mar 26 2019 tv <tv> 6.40.0-1.mga7
+ Revision: 1380304
- update to 6.04

* Wed Sep 19 2018 umeabot <umeabot> 6.30.0-8.mga7
+ Revision: 1268484
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 6.30.0-7.mga6
+ Revision: 1028218
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.30.0-6.mga6
+ Revision: 947927
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.30.0-5.mga5
+ Revision: 746890
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.30.0-4.mga5
+ Revision: 684932
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.30.0-3.mga4
+ Revision: 511967
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.30.0-2.mga3
+ Revision: 368001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 6.30.0-1.mga3
+ Revision: 254977
- update to 6.03

* Fri Feb 24 2012 jquelin <jquelin> 6.20.0-1.mga2
+ Revision: 213695
- update to 6.02

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62553
- imported package perl-HTML-Form


* Wed Mar 02 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
